Page MenuHomePhabricator

IABot job queue has been stuck for days
Closed, ResolvedPublic

Description

There is a larger number (currently 14) jobs waiting in the queue. If I recall correctly, the FARotBot job has been stuck for over a week already.

(I would at least like to understand why the job workers get stuck while the "regular" wiki workers seem to be running fine.)

Event Timeline

Cirdan created this task.Apr 26 2019, 3:49 PM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptApr 26 2019, 3:49 PM
Restricted Application added a subscriber: Cyberpower678. · View Herald Transcript
Zppix added a comment.May 11 2019, 5:31 PM

I wonder if this task should be higher priority as this is imho a core feature of the bot..

Cirdan added a comment.EditedMay 12 2019, 9:35 AM

@Zppix Cyberpower678 is the only developer and operator/maintainer of the bot, hence the prioritization is rarely used within the InternetArchiveBot Phabricator project, quite often task are never triaged at all. You can be sure that he is working towards resolving all issues around the bot as often as his time permits.

There are internal issues with the workers causing them to hang. I've been pushing them along a bit. The queue is almost cleared now.

The bot is stock at task id 3865!!!

There are currently 46 jobs in the queue. The bot will get to them eventually, but as far as I know there are some serious issues with the job workers, requiring manual intervention by the bot's developer on a regular basis.

Cirdan triaged this task as High priority.Jun 14 2019, 7:06 PM

This might be fixed in beta16

Cyberpower678 closed this task as Resolved.Sat, Jul 20, 9:21 PM